//copy this lua file and customise to add your own pets!!

//remember to freeslot your custom sprites!
freeslot(
"SPR_BEES",
"SPR_MOTO",
"SPR_DETO",
"SPR_ROCK",
"SPR_TIKA",
"SPR_CHIP",
"SPR_CHAO",
"SPR_WISP",
"SPR_FRZY",
"SPR_CUBE",
"SPR_MIKU",
"SPR_CLAB",
"SPR_CLAR",
"SPR_CHRM",
"SPR_PSO2"
)

local PetsToAdd = {
	Bumblebore = {
		SpriteSet = SPR_BUMB,
		ShadowScale = FRACUNIT/3,
		Anims = {
			Idle = {A, B, 1},
		}
	},
	
	Bumblebea = {
		SpriteSet = SPR_BEES,
		ShadowScale = FRACUNIT/3,
		Anims = {
			Idle = {A, B, 1},
		}
	},
	
	CharmyBee = {
		SpriteSet = SPR_CHRM,
		ShadowScale = FRACUNIT/2,
		Anims = {
			Idle = {A, B, 1},
		}
	},

	Ideya = {
		SpriteSet = SPR_IDYA,
		ShadowScale = FRACUNIT/2,
		Anims = {
			Idle = {A, E, 10},
		}
	},
	
	UNKNOWN = {
		SpriteSet = SPR_UNKN,
		ShadowScale = FRACUNIT/2,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Motobug = {
		SpriteSet = SPR_MOTO,
		ShadowScale = FRACUNIT/2,
		Anims = {
			Idle = {A, A, 1},
		}
	},

	Deton = {
		SpriteSet = SPR_DETO,
		ShadowScale = FRACUNIT/2,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	EggRock = {
		SpriteSet = SPR_ROCK,
		ShadowScale = FRACUNIT/3,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Tikal = {
		SpriteSet = SPR_TIKA,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, H, 5},
		}
	},
	
	Chip = {
		SpriteSet = SPR_CHIP,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, B, 2},
		}
	},
	
	Chao = {
		SpriteSet = SPR_CHAO,
		ShadowScale = FRACUNIT/3,
		Anims = {
			Idle = {A, B, 2},
		}
	},
	
	Flicky = {
		SpriteSet = SPR_FL01,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {B, D, 3},
		}
	},
	
	Wisp = {
		SpriteSet = SPR_WISP,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, C, 3},
		}
	},
	
	FrenzyWisp = {
		SpriteSet = SPR_FRZY,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, C, 3},
		}
	},
		
	CubeWisp = {
		SpriteSet = SPR_CUBE,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, B, 3},
		}
	},

	Mikuball = {
		SpriteSet = SPR_MIKU,
		ShadowScale = FRACUNIT/2,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	BlueCrawla = {
		SpriteSet = SPR_CLAB,
		ShadowScale = FRACUNIT/3,
		Anims = {
			Idle = {A, B, 3},
		}
	},
	
	RedCrawla = {
		SpriteSet = SPR_CLAR,
		ShadowScale = FRACUNIT/3,
		Anims = {
			Idle = {A, B, 3},
		}
	},
	
	Mag = {
		SpriteSet = SPR_PSO2,
		ShadowScale = FRACUNIT/4,
		Color = "blue",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
}
if (Pet_AddPet) then
	for petname,petinfo in pairs(PetsToAdd)
		Pet_AddPet(petinfo, petname)
	end
end