-- Idle toggle
-- By ??? and Skye

local function cmdhelp_idletoggle(player)
	CONS_Printf(player, "\x86[Help]\x80 Usage: idletoggle <value>")
	CONS_Printf(player, "\x86[Help]\x80 0: Idle animation.")
	CONS_Printf(player, "\x86[Help]\x80 1: No idle animation.")
end

COM_AddCommand("idletoggle", function(player, enable)
	local v = tonumber(enable)
	if (v ~= nil) and (v >= 0 and v <= 1) then
		player.idletoggle = v
		CONS_Printf(player, "\"idletoggle\" has been set to "..enable..".")
	else
		cmdhelp_idletoggle(player)
	end
end, 0)

addHook("ThinkFrame", do
	for player in players.iterate
		if player.idletoggle == 1 and player.mo and player.mo.valid and player.mo.state == 12
			player.mo.state = 11
		end
	end
end)