//copy this lua file and customise to add your own pets!!
freeslot(
"SPR_RUNK", // Unknown with rotations
"SPR_GBUZ", // recolorable buzz lmao
"SPR_DONG", // dk sprites by PetoMico (TSR)
"SPR_HEAD", // cacodemon sprites reduced to 75% size
"SPR_TDOL", // tails doll sprites from srb2 battle by cobaltbw
"SPR_PHAN", // phanto sprites by Omega (TSR)
"SPR_METT", // Mettool (MM8BDM), edited to add a propeller
"SPR_BBAT", // Bubble Bat ^
"SPR_BLAD", // Blader ^
"SPR_TELY", // Telly ^
"SPR_BUNB", // Bunby ^
"SPR_S1SO", // S1 Sonic (Going with the camera)
"SPR_S1SS", // S1 Sonic (SPEEEEEN)
"SPR_BOOD", // Boo [old] (Bowser's Inside Story)
"SPR_SONG",	// Song (Sheriff Domestic)
"SPR_STLO",	// Starlow (3DS Mario & Luigi games)
"SPR_BOO_"	// Boo (3DS Mario & Luigi games)
)

local PetsToAdd = {
	UnknownRotate = {
		SpriteSet = SPR_RUNK,
		Anims = {
			Idle = {A, A, 1},
		}
	},

	Buzz = {
		SpriteSet = SPR_GBUZ,
		Color = "red",
		Anims = {
			Idle = {A, B, 2},
		}
	},
	
	JettyBomber = {
		SpriteSet = SPR_JETB,
		Anims = {
			Idle = {A, B, 1},
		}
	},
	
	JettyGunner = {
		SpriteSet = SPR_JETG,
		Anims = {
			Idle = {A, B, 1},
		}
	},
	
	Bumblebore = {
		SpriteSet = SPR_BUMB,
		Anims = {
			Idle = {A, B, 4},
		}
	},
	
	Pointy = {
		SpriteSet = SPR_PNTY,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	CrawlaCommander = {
		SpriteSet = SPR_CCOM,
		Anims = {
			Idle = {A, D, 1},
		}
	},
	
	DonkeyKong = {
		SpriteSet = SPR_DONG,
		Anims = {
			Idle = {A, D, 2},
		}
	},
	
	Cacodemon = {
		SpriteSet = SPR_HEAD,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	TailsDoll = {
		SpriteSet = SPR_TDOL,
		Color = "orange",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Phanto = {
		SpriteSet = SPR_PHAN,
		Color = "red",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Mettool = {
		SpriteSet = SPR_METT,
		Anims = {
			Idle = {A, B, 3},
		}
	},
	
	BubbleBat = {
		SpriteSet = SPR_BBAT,
		Anims = {
			Idle = {A, C, 5},
		}
	},
	
	Blader = {
		SpriteSet = SPR_BLAD,
		Anims = {
			Idle = {A, B, 3},
		}
	},
	
	
	Telly = {
		SpriteSet = SPR_TELY,
		Anims = {
			Idle = {A, F, 7},
		}
	},
	
	
	Bunby = {
		SpriteSet = SPR_BUNB,
		Anims = {
			Idle = {A, B, 3},
		}
	},
	
	S1SonicFloat = {
		SpriteSet = SPR_S1SO,
		Color = "azure",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	S1SonicSpin = {
		SpriteSet = SPR_S1SS,
		Color = "azure",
		Anims = {
			Idle = {A, J, 4},
		}
	},
	
	S1SonicSpeeen = {
		SpriteSet = SPR_S1SS,
		Color = "azure",
		Anims = {
			Idle = {A, J, 1},
		}
	},
	
	BooDS = {
		SpriteSet = SPR_BOOD,
		Color = "silver", // changed from white because silver starts the same and ends really dark so it works out just fine
		Anims = {
			Idle = {A, D, 4},
		}
	},
	
	Song = {
		SpriteSet = SPR_SONG,
		Color = "sky",
		Anims = {
			Idle = {A, B, 2},
			Dead = {C, D, 2}
		}
	},
	
	Starlow = {
		SpriteSet = SPR_STLO,
		Color = "yellow",
		Anims = {
			Idle = {A, F, 2}
		}
	},
	
	Boo = {
		SpriteSet = SPR_BOO_,
		Color = "silver", // changed from white because silver starts the same and ends really dark so it works out just fine
		Anims = {
			Idle = {A, J, 2},
		}
	},
}
if (Pet_AddPet) then
	for petname,petinfo in pairs(PetsToAdd)
		Pet_AddPet(petinfo, petname)
	end
end