local s = "SKINCOLOR_"
freeslot(s+"TVWW",s+"TVZP",s+"TVAT",s+"TVFO",s+"TVEL",s+"TVAR",s+"TVBB",s+"TVFL",s+"CEMG1",s+"CEMG2",s+"CEMG3",s+"CEMG4",s+"CEMG5",s+"CEMG6",s+"CEMG7",s+"CEMGWF",s+"POSS",s+"SSHL",s+"CRAB",s+"CBFS",s+"GSNP",s+"DRAB",s+"SHRP",s+"PENG")

skincolors[SKINCOLOR_TVWW] = {
    name = "Whirlwind_Shield",
    ramp = {1,2,3,5,6,6,8,10,10,10,12,12,13,14,15,15},
    invcolor = SKINCOLOR_TVZP,
    invshade = 15,
    chatcolor = V_GRAYMAP,
    accessible = true
}
    M_MoveColorAfter(SKINCOLOR_TVWW, SKINCOLOR_BONE)

skincolors[SKINCOLOR_TVZP] = {
    name = "Thunder_Shield",
    ramp = {0,0,0,0,1,1,1,1,2,2,3,3,4,4,5,5},
    invcolor = SKINCOLOR_TVWW,
    invshade = 12,
    chatcolor = V_WHITEMAP,
    accessible = true
}
    M_MoveColorBefore(SKINCOLOR_TVZP, SKINCOLOR_WHITE)

skincolors[SKINCOLOR_TVAT] = {
    name = "Attraction_Shield",
    ramp = {80,80,81,82,82,83,72,73,73,73,64,65,66,67,69,71},
    invcolor = SKINCOLOR_TVFO,
    invshade = 12,
    chatcolor = V_YELLOWMAP,
    accessible = true
}
    M_MoveColorBefore(SKINCOLOR_TVAT, SKINCOLOR_YELLOW)

skincolors[SKINCOLOR_TVFO] = {
    name = "Force_Shield",
    ramp = {176,176,177,178,179,180,192,193,162,163,164,165,166,167,168,169},
    invcolor = SKINCOLOR_TVAT,
    invshade = 9,
    chatcolor = V_PURPLEMAP,
    accessible = true
}
    M_MoveColorAfter(SKINCOLOR_TVFO, SKINCOLOR_MAGENTA)

skincolors[SKINCOLOR_TVEL] = {
    name = "Elemental_Shield",
    ramp = {48,48,50,51,51,52,52,32,178,146,148,148,150,154,157,159},
    invcolor = SKINCOLOR_TVAR,
    invshade = 10,
    chatcolor = V_ORANGEMAP,
    accessible = true
}
    M_MoveColorAfter(SKINCOLOR_TVEL, SKINCOLOR_APRICOT)

skincolors[SKINCOLOR_TVAR] = {
    name = "Armageddon_Shield",
    ramp = {50,50,52,54,54,34,36,36,38,38,40,40,43,43,47,31},
    invcolor = SKINCOLOR_TVEL,
    invshade = 5,
    chatcolor = V_ORANGEMAP,
    accessible = true
}
    M_MoveColorAfter(SKINCOLOR_TVAR, SKINCOLOR_CRIMSON)

skincolors[SKINCOLOR_TVBB] = {
    name = "Bubble_Shield",
    ramp = {128,128,130,132,134,147,147,149,151,151,151,153,153,155,157,159},
    invcolor = SKINCOLOR_TVFL,
    invshade = 9,
    chatcolor = V_SKYMAP,
    accessible = true
}
    M_MoveColorBefore(SKINCOLOR_TVBB, SKINCOLOR_SAPPHIRE)

skincolors[SKINCOLOR_TVFL] = {
    name = "Flame_Shield",
    ramp = {83,83,72,73,50,32,32,34,35,35,35,37,37,39,39,41},
    invcolor = SKINCOLOR_TVBB,
    invshade = 9,
    chatcolor = V_REDMAP,
    accessible = true
}
    M_MoveColorAfter(SKINCOLOR_TVFL, SKINCOLOR_KETCHUP)

skincolors[SKINCOLOR_CEMG1] = {
	name = "Chaos_Green",
	ramp = {0,88,96,96,97,112,112,113,114,115,125,125,142,143,127,127},
	invcolor = SKINCOLOR_CEMG2,
	invshade = 9, 
	chatcolor = V_GREENMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_CEMG1, SKINCOLOR_EMERALD)

skincolors[SKINCOLOR_CEMG2] = {
	name = "Chaos_Magenta",
	ramp = {0,176,178,178,179,179,180,181,181,163,164,164,165,166,167,156},
	invcolor = SKINCOLOR_CEMG1,
	invshade = 6, 
	chatcolor = V_MAGENTAMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_CEMG2, SKINCOLOR_MAGENTA)

skincolors[SKINCOLOR_CEMG3] = {
	name = "Chaos_Sapphire",
	ramp = {0,129,131,132,134,149,149,151,151,151,153,155,155,157,159,253},
	invcolor = SKINCOLOR_CEMG5,
	invshade = 11, 
	chatcolor = V_BLUEMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_CEMG3, SKINCOLOR_SAPPHIRE)

skincolors[SKINCOLOR_CEMG4] = {
	name = "Chaos_Sky",
	ramp = {0,129,130,130,131,133,133,134,134,134,135,137,137,138,138,139},
	invcolor = SKINCOLOR_CEMG6,
	invshade = 5, 
	chatcolor = V_SKYMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_CEMG4, SKINCOLOR_SKY)

skincolors[SKINCOLOR_CEMG5] = {
	name = "Chaos_Gold",
	ramp = {0,80,81,82,72,51,52,53,55,55,57,59,70,70,71,71},
	invcolor = SKINCOLOR_CEMG3,
	invshade = 5, 
	chatcolor = V_YELLOWMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_CEMG5, SKINCOLOR_GOLD)

skincolors[SKINCOLOR_CEMG6] = {
	name = "Chaos_Flame",
	ramp = {0,48,50,52,33,34,34,35,36,39,39,41,41,43,45,47},
	invcolor = SKINCOLOR_CEMG4,
	invshade = 5, 
	chatcolor = V_REDMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_CEMG6, SKINCOLOR_FLAME)

skincolors[SKINCOLOR_CEMG7] = {
	name = "Chaos_Slate",
	ramp = {0,3,6,6,9,12,12,13,14,171,171,172,172,173,174,175},
	invcolor = SKINCOLOR_CEMGWF,
	invshade = 0, 
	chatcolor = V_GRAYMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_CEMG7, SKINCOLOR_SLATE)

skincolors[SKINCOLOR_CEMGWF] = {
	name = "Chaos_Wireframe",
	ramp = {27,26,25,24,23,22,21,69,64,65,66,66,66,67,68,69},
	invcolor = SKINCOLOR_CEMG7,
	invshade = 0, 
	chatcolor = V_INVERTMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_CEMGWF, SKINCOLOR_BLACK)

skincolors[SKINCOLOR_POSS] = {
	name = "Crawla",
	ramp = {144,145,146,147,148,148,149,149,172,19,22,22,23,24,25,26},
	invcolor = SKINCOLOR_SSHL,
	invshade = 8, 
	chatcolor = V_AZUREMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_POSS, SKINCOLOR_BLUEBELL)

skincolors[SKINCOLOR_SSHL] = {
	name = "Spring_Shell",
	ramp = {96,97,99,99,99,100,125,136,172,172,172,173,173,174,175,175},
	invcolor = SKINCOLOR_POSS,
	invshade = 6, 
	chatcolor = V_AZUREMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_SSHL, SKINCOLOR_POSS)

skincolors[SKINCOLOR_CRAB] = {
	name = "Crushstacean",
	ramp = {177,179,180,181,202,52,52,54,54,33,34,37,37,40,42,43},
	invcolor = SKINCOLOR_CBFS,
	invshade = 9, 
	chatcolor = V_ORANGEMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_CRAB, SKINCOLOR_RUST)

skincolors[SKINCOLOR_CBFS] = {
	name = "Lance-a-Bot",
	ramp = {0,1,2,81,64,64,65,32,34,34,40,44,47,29,30,31},
	invcolor = SKINCOLOR_CRAB,
	invshade = 9, 
	chatcolor = V_ORANGEMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_CBFS, SKINCOLOR_TVFL)

skincolors[SKINCOLOR_GSNP] = {
	name = "Snapper",
	ramp = {112,112,113,113,114,103,106,107,107,108,109,109,110,110,110,111},
	invcolor = SKINCOLOR_DRAB,
	invshade = 9, 
	chatcolor = V_GREENMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_GSNP, SKINCOLOR_FOREST)

skincolors[SKINCOLOR_DRAB] = {
	name = "Dragonbomber",
	ramp = {0,1,2,81,82,82,82,83,72,72,73,76,79,27,29,31},
	invcolor = SKINCOLOR_GSNP,
	invshade = 7, 
	chatcolor = V_YELLOWMAP,
	accessible = true
}
M_MoveColorBefore(SKINCOLOR_DRAB, SKINCOLOR_TVAT)

skincolors[SKINCOLOR_SHRP] = {
	name = "Spincushion",
	ramp = {0,1,2,129,131,132,132,132,133,134,134,137,139,29,29,31},
	invcolor = SKINCOLOR_PENG,
	invshade = 9, 
	chatcolor = V_SKYMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_SHRP, SKINCOLOR_SKY)

skincolors[SKINCOLOR_PENG] = {
	name = "Penguinator",
	ramp = {128,131,134,135,149,150,151,184,38,56,57,58,59,60,61,62},
	invcolor = SKINCOLOR_SHRP,
	invshade = 10, 
	chatcolor = V_SKYMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_PENG, SKINCOLOR_SAPPHIRE)
